# 목차(Index)

1. [소개(Introduction)](./intro.md)
   1. [목적(Purpose)](./intro.md#11-목적purpose)
   2. [범위(scope)](./intro.md#12-범위scope)
   3. [용어 및 약어 정의(Definitions, acronyms and abbreviations)](./intro.md#13-용어-및-약어-정의definitions-acronyms-and-abbreviations)
   4. [참고자료(References)](./intro.md#14-참고자료references)
   5. [개요(Overview)](./intro.md#15-개요overview)
2. [전체 시스템 개요(Overall description)](./overall.md)
   1. [제품 관점(Product perspective)](./overall.md#21-제품-관점product-perspective)
      1. [시스템 인터페이스(System interfaces)](./overall.md#211-시스템-인터페이스system-interfaces)
      2. [사용자 인터페이스(User interfaces)](./overall.md#212-사용자-인터페이스user-interfaces)
      3. [하드웨어 인터페이스(Hardware interfaces)](./overall.md#213-하드웨어-인터페이스hardware-interfaces)
      4. [소프트웨어 인터페이스(Software interfaces)](./overall.md#214-소프트웨어-인터페이스software-interfaces)
      5. [통신 인터페이스(Communications interfaces)](./overall.md#215-통신-인터페이스communications-interfaces)
      6. [메모리 제약사항(Memory constraints)](./overall.md#216-메모리-제약사항memory-constraints)
      7. [운영(Operations)](./overall.md#217-운영operations)
      8. [사이트 적용 요건(Site adaption requirements)](./overall.md#218-사이트-적용-요건site-adaption-requirements)
   2. [제품 기능(Product functions)](./overall.md#22-제품-기능product-functions)
        <%
        const table = it.table;
        let index = 1;
        for (const [c,issues] of table) {
            const name = `${c} Operation`;
            const href = `2.2.${index} ${c} Operation`
        %><%= `${index++}. [${name}](./overall.md#${it.toHeadId(href)})\n      ` %><%}%><%="\n"%>
3. [상세요구사항(Specific Requirements)](./specific.md)
   1. [외부 인터페이스 요구사항(External interface requirements)](./specific.md#31-외부-인터페이스-요구사항external-interface-requirements)
   2. [기능 요구사항(Functional requirements)](./specific.md#32-기능-요구사항functional-requirements)
      <%= it.issues.map((i)=>`(#${i.number}) ${i.title}`).map(
        x=>`* [${x}](./specific.md#${it.toHeadId(x)})`
      ).join("\n      ") %><%= "\n"%>
   3. [성능 요구사항(Performance requirements)](./specific.md#33-성능-요구사항performance-requirements)
   4. [논리적 데이터베이스 요구사항(Logical database requirements)](./specific.md#34-논리적-데이터베이스-요구사항logical-database-requirements)
   5. [설계 제약사항(Design constraints)](./specific.md#35-설계-제약사항design-constraints)
      1. [표준 준수(Standards compliance)](./specific.md#351-표준-준수standards-compliance)
   6. [소프트웨어 시스템 속성(Software system attributes)](./specific.md#36-소프트웨어-시스템-속성software-system-attributes)
   7. [상세 요구사항의 구성(Organizing the specific requirements)](./specific.md#37-상세-요구사항의-구성organizing-the-specific-requirements)
      1. [객체(Objects)](./specific.md#371-객체objects)
      2. [사용자 인터페이스 상세](./specific.md#372-사용자-인터페이스-상세)
4. [요구사항 명세 추가 이력 (Requirement Specification Supporting Information)](./support.md)
   1. [부록(Appendixes)](./support.md#41-부록appendixes)
   2. [개발 환경(Development Environment)](./support.md#42-개발-환경development-environment)
   3. [일정표(Schedule)](./support.md#43-일정표schedule)
5. [설계(Architecture)](./architecture.md)
   1. [UML](./architecture.md#51-uml)
      1. [Server Side UML](./architecture.md#511-server-side-uml)
      2. [Client Side UML](./architecture.md#512-client-side-uml)
   2. [의사코드(Pseudo Code)](./architecture.md#52-의사코드pseudo-code)
6. [시험(Testing)](./testing.md)
   1. [유닛 테스트(Unit test)](./testing.md#61-유닛-테스트unit-test)
   2. [기능 테스트(Functional Test)](./testing.md#62-기능-테스트functional-test)